//bolji program kao
#include<iostream>
#include<algorithm>
using namespace std;
int main()
{
//def i unos
long long aa,bb,cc;
int x=0,a1,b1,c1;
int a[19],b[19],c[19];
cin>>aa>>bb>>cc;
//razlaganje + switch + popunjavanje
for(a1=0;aa!=0;a1++)
{
	a[a1]=aa%10;
	aa/=10;
}
for(int i=0,a2=a1-1;a2>i;a2--)
{
	swap(a[a2],a[i]);
	i++;
}
for(int i=a1;i<19;i++) a[i]=0;
for(b1=0;bb!=0;b1++)
{
	b[b1]=bb%10;
	bb/=10;
}
for(int i=0,b2=b1-1;b2>i;b2--)
{
	swap(b[b2],b[i]);
	i++;
}
for(int i=b1;i<19;i++) b[i]=0;
for(c1=0;cc!=0;c1++)
{
	c[c1]=cc%10;
	cc/=10;
}
for(int i=0,c2=c1-1;c2>i;c2--)
{
	swap(c[c2],c[i]);
	i++;
}
for(int i=c1;i<19;i++) c[i]=0;
/*	
	for(int i=0;i<a1;i++) cout<<a[i]<<endl;
	for(int i=0;i<b1;i++) cout<<b[i]<<endl;
	for(int i=0;i<c1;i++) cout<<c[i]<<endl;
*/
//trazenje rasporeda
int maks;
bool a3=true; //izmedju a i b
bool b3=true; // izmedju b i c
bool c3=true; // izmedju a i c
for(int i=0;a3 || b3 || c3;i++)
{
	if(a3)
	{
		if(a[i]>b[i])
		{
			x++;
			a3=false;	
		}
		else if(a[i]<b[i])
		{
			x+=2;
			a3=false;
		}
		
	}
	if(b3)
	{
		if(b[i]>c[i])
		{
			x+=10;
			b3=false;
		}
		else if(b[i]<c[i])
		{
			x+=20;
			b3=false;
		}
	}
	if(c3)
	{
		if(a[i]>c[i])
		{
			x+=100;
			c3=false;
		}
		else if(a[i]<c[i])
		{
			x+=200;
			c3=false;
		}	
	}
}
if(x==111)
{
	for(int i=0;i<a1;i++) cout<<a[i];
	for(int i=0;i<b1;i++) cout<<b[i];
	for(int i=0;i<c1;i++) cout<<c[i];
}
else if (x==121)
{
	for(int i=0;i<a1;i++) cout<<a[i];
	for(int i=0;i<c1;i++) cout<<c[i];
	for(int i=0;i<b1;i++) cout<<b[i];	
}
else if(x==112)
{
	for(int i=0;i<b1;i++) cout<<b[i];
	for(int i=0;i<a1;i++) cout<<a[i];
	for(int i=0;i<c1;i++) cout<<c[i];
}
else if(x==212)
{
	for(int i=0;i<b1;i++) cout<<b[i];
	for(int i=0;i<c1;i++) cout<<c[i];
	for(int i=0;i<a1;i++) cout<<a[i];
}
else if(x==221)
{
	for(int i=0;i<c1;i++) cout<<c[i];
	for(int i=0;i<a1;i++) cout<<a[i];
	for(int i=0;i<b1;i++) cout<<b[i];
}
else if(x==222)
{
	for(int i=0;i<c1;i++) cout<<c[i];
	for(int i=0;i<b1;i++) cout<<b[i];
	for(int i=0;i<a1;i++) cout<<a[i];
}

}